%define upstream_name Future
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Represent an operation awaiting completion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.250.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
A `Future' object represents an operation that is currently in progress,
or has recently completed. It can be used in a variety of ways to manage
the flow of control, and data, through an asynchronous program.

Some futures represent a single operation and are explicitly marked as
ready by calling the `done' or `fail' methods. These are called "leaf"
futures here, and are returned by the `new' constructor.

Other futures represent a collection sub-tasks, and are implicitly
marked as ready depending on the readiness of their component futures as
required. These are called "dependent" futures here, and are returned by
the various `wait_*' and `need_*' constructors.

It is intended that library functions that perform asynchonous
operations would use `Future' objects to represent outstanding
operations, and allow their calling programs to control or wait for
these operations to complete. The implementation and the user of such an
interface would typically make use of different methods on the class.
The methods below are documented in two sections; those of interest to
each side of the interface.

See also Future::Utils which contains useful loop-constructing
functions, to run a `Future'-returning function repeatedly in a loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1027645
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 969055
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 859024
- update to 0.33

* Sat Jun 27 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 845849
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 750348
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.290.0-3.mga5
+ Revision: 732181
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-2.mga5
+ Revision: 684810
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 653585
- update to 0.29

* Thu Jun 26 2014 jquelin <jquelin> 0.280.0-1.mga5
+ Revision: 639997
- update to 0.28

* Mon Feb 24 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 596257
- update to 0.25

* Thu Feb 06 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 584513
- update to 0.23

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 537216
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486615
- update to 0.18

* Sat Aug 24 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 471261
- imported package perl-Future

